unit OPTIONS;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TOptionBox = class(TForm)
    extra: TGroupBox;
    sldTileWindow: TTrackBar;
    edtTileWindow: TEdit;
    chkTileWindow: TCheckBox;
    chkRadarWindow: TCheckBox;
    sldRadarWindow: TTrackBar;
    edtRadarWindow: TEdit;
    optMapGrid: TCheckBox;
    btnOk: TButton;
    btnSaveDef: TButton;
    btnClose: TButton;
    btnReset: TButton;
    procedure sldTileWindowChange(Sender: TObject);
    procedure chkTileWindowClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OptionBox: TOptionBox;

implementation

uses MAIN,TILE,RADAR;

{$R *.dfm}

procedure TOptionBox.sldTileWindowChange(Sender: TObject);
begin
  TileWindow.AlphaBlendValue := sldTileWindow.Position;
  edtTileWindow.Text := IntToStr(sldTileWindow.Position);
end;

procedure TOptionBox.chkTileWindowClick(Sender: TObject);
var
 b : boolean;
begin
  chkTileWindow.Checked := not chkTileWindow.Checked;
  b := tileWindow.Visible;
  TileWindow.Visible := false;
  TileWindow.AlphaBlend := chkTileWindow.Checked;
  tileWindow.Visible := b;
end;

end.
