unit TILESELECTED;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;

type
  TTileSel = class(TForm)
    procedure FormPaint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TileSel: TTileSel;

implementation

uses MAIN,CHILDWIN;

{$R *.dfm}

function tileRect(index: word) : TRect;
begin
//faster method?
  case index of
    1..19: result:=Bounds((index-1) shl 4, 0, TILE_SIZE,TILE_SIZE);
    20..38: result:=Bounds(((index-1)-19) shl 4, 16, TILE_SIZE,TILE_SIZE);
    39..57: result:=Bounds(((index-1)-38) shl 4, 32, TILE_SIZE,TILE_SIZE);
    58..76: result:=Bounds(((index-1)-57) shl 4, 48, TILE_SIZE,TILE_SIZE);
    77..95: result:=Bounds(((index-1)-76) shl 4, 64, TILE_SIZE,TILE_SIZE);
    96..114: result:=Bounds(((index-1)-95) shl 4, 80, TILE_SIZE,TILE_SIZE);
    115..133: result:=Bounds(((index-1)-114) shl 4, 96, TILE_SIZE,TILE_SIZE);
    134..152: result:=Bounds(((index-1)-133) shl 4, 112, TILE_SIZE,TILE_SIZE);
    153..171: result:=Bounds(((index-1)-152) shl 4, 128, TILE_SIZE,TILE_SIZE);
    172..190: result:=Bounds(((index-1)-171) shl 4, 144, TILE_SIZE,TILE_SIZE);
  end;
end;

procedure TTileSel.FormPaint(Sender: TObject);
begin

  if MainForm.MDIChildCount < 1 then exit;

  Canvas.Brush.Color := clYellow;
  Canvas.FillRect(bounds(0,0,52,52));
  Canvas.Brush.Color := clRed;
  Canvas.FillRect(bounds(54,0,52,52));
  Canvas.CopyRect(bounds(2,2,48,48),
                  (MainForm.ActiveMDIChild as TMDIChild).tile.Canvas,
                  TileRect((MainForm.ActiveMDIChild as TMDIChild).getLeft));
  Canvas.CopyRect(bounds(56,2,48,48),
                  (MainForm.ActiveMDIChild as TMDIChild).tile.Canvas,
                  TileRect((MainForm.ActiveMDIChild as TMDIChild).getRight));
end;

procedure TTileSel.FormCreate(Sender: TObject);
begin
  Top := MainForm.Top + MainForm.Height - MainForm.ClientHeight;
  Left := MainForm.Left + MainForm.Width - Width; 
end;

procedure TTileSel.FormShow(Sender: TObject);
begin
  MainForm.ViewTileInfo1.Checked := true;
end;

procedure TTileSel.FormHide(Sender: TObject);
begin
  MainForm.ViewTileInfo1.Checked := false;
end;

end.
